1
0
mirror of git://git.git.savannah.gnu.org/grub.git synced 2026-09-01 02:34:49 +00:00

tests: Increase verbosity in *_test.in checks

In this case it does not hurt to increase bash execution verbosity so
we can get more insight in case of issues.

Signed-off-by: Leo Sandoval <lsandova@redhat.com>
Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>
This commit is contained in:
Leo Sandoval
2025-09-19 15:45:04 -06:00
committed by Daniel Kiper
parent bf13fed5fe
commit cdbc6ffbb8
57 changed files with 57 additions and 57 deletions
+1 -1
View File
@@ -14,7 +14,7 @@
# You should have received a copy of the GNU General Public License
# along with GRUB. If not, see <http://www.gnu.org/licenses/>.
set -e
set -ex
grubshell=@builddir@/grub-shell
. "@builddir@/grub-core/modinfo.sh"
+1 -1
View File
@@ -1,5 +1,5 @@
#! @BUILD_SHEBANG@
set -e
set -ex
. "@builddir@/grub-core/modinfo.sh"
+1 -1
View File
@@ -1,6 +1,6 @@
#!@BUILD_SHEBANG@
set -e
set -ex
if [ "x$EUID" = "x" ] ; then
EUID=`id -u`
+1 -1
View File
@@ -14,7 +14,7 @@
# You should have received a copy of the GNU General Public License
# along with GRUB. If not, see <http://www.gnu.org/licenses/>.
set -e
set -ex
grubshell=@builddir@/grub-shell
. "@builddir@/grub-core/modinfo.sh"
+1 -1
View File
@@ -14,7 +14,7 @@
# You should have received a copy of the GNU General Public License
# along with GRUB. If not, see <http://www.gnu.org/licenses/>.
set -e
set -ex
grubshell=@builddir@/grub-shell
. "@builddir@/grub-core/modinfo.sh"
+1 -1
View File
@@ -1,6 +1,6 @@
#!@BUILD_SHEBANG@
set -e
set -ex
if ! which cpio >/dev/null 2>&1; then
echo "cpio not installed; cannot test cpio."
+1 -1
View File
@@ -14,7 +14,7 @@
# You should have received a copy of the GNU General Public License
# along with GRUB. If not, see <http://www.gnu.org/licenses/>.
set -e
set -ex
grubshell=@builddir@/grub-shell
. "@builddir@/grub-core/modinfo.sh"
+1 -1
View File
@@ -1,6 +1,6 @@
#!@BUILD_SHEBANG@
set -e
set -ex
if [ "x$EUID" = "x" ] ; then
EUID=`id -u`
+1 -1
View File
@@ -1,4 +1,4 @@
#!@BUILD_SHEBANG@
set -e
set -ex
true
+1 -1
View File
@@ -1,6 +1,6 @@
#!@BUILD_SHEBANG@
set -e
set -ex
if [ "x$EUID" = "x" ] ; then
EUID=`id -u`
+1 -1
View File
@@ -1,6 +1,6 @@
#!@BUILD_SHEBANG@
set -e
set -ex
if [ "x$EUID" = "x" ] ; then
EUID=`id -u`
+1 -1
View File
@@ -1,6 +1,6 @@
#!@BUILD_SHEBANG@
set -e
set -ex
if [ "x$EUID" = "x" ] ; then
EUID=`id -u`
+1 -1
View File
@@ -1,6 +1,6 @@
#!@BUILD_SHEBANG@
set -e
set -ex
if [ "x$EUID" = "x" ] ; then
EUID=`id -u`
+1 -1
View File
@@ -14,7 +14,7 @@
# You should have received a copy of the GNU General Public License
# along with GRUB. If not, see <http://www.gnu.org/licenses/>.
set -e
set -ex
grubshell=@builddir@/grub-shell
. "@builddir@/grub-core/modinfo.sh"
+1 -1
View File
@@ -14,7 +14,7 @@
# You should have received a copy of the GNU General Public License
# along with GRUB. If not, see <http://www.gnu.org/licenses/>.
set -e
set -ex
grubshell=@builddir@/grub-shell
. "@builddir@/grub-core/modinfo.sh"
+1 -1
View File
@@ -1,5 +1,5 @@
#! @BUILD_SHEBANG@
set -e
set -ex
. "@builddir@/grub-core/modinfo.sh"
+1 -1
View File
@@ -1,5 +1,5 @@
#! @BUILD_SHEBANG@
set -e
set -ex
# Run GRUB script in a Qemu instance
# Copyright (C) 2010 Free Software Foundation, Inc.
+1 -1
View File
@@ -1,5 +1,5 @@
#! @BUILD_SHEBANG@
set -e
set -ex
. "@builddir@/grub-core/modinfo.sh"
+1 -1
View File
@@ -1,5 +1,5 @@
#! @BUILD_SHEBANG@
set -e
set -ex
. "@builddir@/grub-core/modinfo.sh"
+1 -1
View File
@@ -1,5 +1,5 @@
#! @BUILD_SHEBANG@
set -e
set -ex
# create a randome file
empty="`mktemp "${TMPDIR:-/tmp}/tmp.XXXXXXXXXX"`" || exit 99
+1 -1
View File
@@ -1,5 +1,5 @@
#! @BUILD_SHEBANG@
set -e
set -ex
. "@builddir@/grub-core/modinfo.sh"
+1 -1
View File
@@ -1,5 +1,5 @@
#! @BUILD_SHEBANG@
set -e
set -ex
@builddir@/grub-script-check <<EOF
# comment 1
+1 -1
View File
@@ -1,5 +1,5 @@
#! @BUILD_SHEBANG@
set -e
set -ex
# Run GRUB script in a Qemu instance
# Copyright (C) 2010 Free Software Foundation, Inc.
+1 -1
View File
@@ -1,5 +1,5 @@
#! @BUILD_SHEBANG@
set -e
set -ex
@builddir@/grub-script-check << EOF
echo "\\\$"
+1 -1
View File
@@ -1,5 +1,5 @@
#! @BUILD_SHEBANG@
set -e
set -ex
# Run GRUB script in a Qemu instance
# Copyright (C) 2010 Free Software Foundation, Inc.
+1 -1
View File
@@ -1,5 +1,5 @@
#! @BUILD_SHEBANG@
set -e
set -ex
@builddir@/grub-script-check <<EOF
echo one;
+1 -1
View File
@@ -1,5 +1,5 @@
#! @BUILD_SHEBANG@
set -e
set -ex
# grub-script-check refuses to pass a file with no commands; this usually
# indicates a bug in the code generating that file.
+1 -1
View File
@@ -14,7 +14,7 @@
# You should have received a copy of the GNU General Public License
# along with GRUB. If not, see <http://www.gnu.org/licenses/>.
set -e
set -ex
grubshell=@builddir@/grub-shell
. "@builddir@/grub-core/modinfo.sh"
+1 -1
View File
@@ -14,7 +14,7 @@
# You should have received a copy of the GNU General Public License
# along with GRUB. If not, see <http://www.gnu.org/licenses/>.
set -e
set -ex
grubshell=@builddir@/grub-shell
. "@builddir@/grub-core/modinfo.sh"
+1 -1
View File
@@ -1,5 +1,5 @@
#! @BUILD_SHEBANG@
set -e
set -ex
. "@builddir@/grub-core/modinfo.sh"
+1 -1
View File
@@ -1,6 +1,6 @@
#!@BUILD_SHEBANG@
set -e
set -ex
if [ "x$EUID" = "x" ] ; then
EUID=`id -u`
+1 -1
View File
@@ -1,6 +1,6 @@
#!@BUILD_SHEBANG@
set -e
set -ex
if [ "x$EUID" = "x" ] ; then
EUID=`id -u`
+1 -1
View File
@@ -1,6 +1,6 @@
#!@BUILD_SHEBANG@
set -e
set -ex
if ! which xorriso >/dev/null 2>&1; then
echo "xorriso not installed; cannot test iso9660."
+1 -1
View File
@@ -1,6 +1,6 @@
#!@BUILD_SHEBANG@
set -e
set -ex
if [ "x$EUID" = "x" ] ; then
EUID=`id -u`
+1 -1
View File
@@ -1,6 +1,6 @@
#!@BUILD_SHEBANG@
set -e
set -ex
if [ "x$EUID" = "x" ] ; then
EUID=`id -u`
+1 -1
View File
@@ -1,6 +1,6 @@
#!@BUILD_SHEBANG@
set -e
set -ex
if [ "x$EUID" = "x" ] ; then
EUID=`id -u`
+1 -1
View File
@@ -14,7 +14,7 @@
# You should have received a copy of the GNU General Public License
# along with GRUB. If not, see <http://www.gnu.org/licenses/>.
set -e
set -ex
grubshell=@builddir@/grub-shell
. "@builddir@/grub-core/modinfo.sh"
+1 -1
View File
@@ -1,6 +1,6 @@
#!@BUILD_SHEBANG@
set -e
set -ex
if [ "x$EUID" = "x" ] ; then
EUID=`id -u`
+1 -1
View File
@@ -14,7 +14,7 @@
# You should have received a copy of the GNU General Public License
# along with GRUB. If not, see <http://www.gnu.org/licenses/>.
set -e
set -ex
grubshell=@builddir@/grub-shell
. "@builddir@/grub-core/modinfo.sh"
+1 -1
View File
@@ -1,6 +1,6 @@
#!@BUILD_SHEBANG@
set -e
set -ex
if [ "x$EUID" = "x" ] ; then
EUID=`id -u`
+1 -1
View File
@@ -1,6 +1,6 @@
#!@BUILD_SHEBANG@
set -e
set -ex
if [ "x$EUID" = "x" ] ; then
EUID=`id -u`
+1 -1
View File
@@ -14,7 +14,7 @@
# You should have received a copy of the GNU General Public License
# along with GRUB. If not, see <http://www.gnu.org/licenses/>.
set -e
set -ex
grubshell=@builddir@/grub-shell
. "@builddir@/grub-core/modinfo.sh"
+1 -1
View File
@@ -1,5 +1,5 @@
#! @BUILD_SHEBANG@
set -e
set -ex
# Copyright (C) 2010 Free Software Foundation, Inc.
#
+1 -1
View File
@@ -14,7 +14,7 @@
# You should have received a copy of the GNU General Public License
# along with GRUB. If not, see <http://www.gnu.org/licenses/>.
set -e
set -ex
grubshell=@builddir@/grub-shell
. "@builddir@/grub-core/modinfo.sh"
+1 -1
View File
@@ -14,7 +14,7 @@
# You should have received a copy of the GNU General Public License
# along with GRUB. If not, see <http://www.gnu.org/licenses/>.
set -e
set -ex
grubshell=@builddir@/grub-shell
. "@builddir@/grub-core/modinfo.sh"
+1 -1
View File
@@ -1,6 +1,6 @@
#!@BUILD_SHEBANG@
set -e
set -ex
if [ "x$EUID" = "x" ] ; then
EUID=`id -u`
+1 -1
View File
@@ -1,6 +1,6 @@
#!@BUILD_SHEBANG@
set -e
set -ex
if ! which genromfs >/dev/null 2>&1; then
echo "genromfs not installed; cannot test romfs."
+1 -1
View File
@@ -14,7 +14,7 @@
# You should have received a copy of the GNU General Public License
# along with GRUB. If not, see <http://www.gnu.org/licenses/>.
set -e
set -ex
grubshell=@builddir@/grub-shell
. "@builddir@/grub-core/modinfo.sh"
+1 -1
View File
@@ -1,6 +1,6 @@
#!@BUILD_SHEBANG@
set -e
set -ex
if ! which mksquashfs >/dev/null 2>&1; then
echo "mksquashfs not installed; cannot test squashfs."
+1 -1
View File
@@ -1,6 +1,6 @@
#!@BUILD_SHEBANG@
set -e
set -ex
outfile="`mktemp "${TMPDIR:-/tmp}/tmp.XXXXXXXXXX"`" || exit 99
+1 -1
View File
@@ -1,6 +1,6 @@
#!@BUILD_SHEBANG@
set -e
set -ex
if ! which tar >/dev/null 2>&1; then
echo "tar not installed; cannot test tar."
+1 -1
View File
@@ -1,5 +1,5 @@
#! @BUILD_SHEBANG@
set -e
set -ex
# create a randome file
file="`mktemp "${TMPDIR:-/tmp}/tmp.XXXXXXXXXX"`" || exit 99
+1 -1
View File
@@ -1,6 +1,6 @@
#!@BUILD_SHEBANG@
set -e
set -ex
if [ "x$EUID" = "x" ] ; then
EUID=`id -u`
+1 -1
View File
@@ -14,7 +14,7 @@
# You should have received a copy of the GNU General Public License
# along with GRUB. If not, see <http://www.gnu.org/licenses/>.
set -e
set -ex
grubshell=@builddir@/grub-shell
. "@builddir@/grub-core/modinfo.sh"
+1 -1
View File
@@ -1,6 +1,6 @@
#!@BUILD_SHEBANG@
set -e
set -ex
if [ "x$EUID" = "x" ] ; then
EUID=`id -u`
+1 -1
View File
@@ -14,7 +14,7 @@
# You should have received a copy of the GNU General Public License
# along with GRUB. If not, see <http://www.gnu.org/licenses/>.
set -e
set -ex
grubshell=@builddir@/grub-shell
. "@builddir@/grub-core/modinfo.sh"
+1 -1
View File
@@ -1,6 +1,6 @@
#!@BUILD_SHEBANG@
set -e
set -ex
if [ "x$EUID" = "x" ] ; then
EUID=`id -u`